Update an Enrollment
curl --request PUT \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/enrollments/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enrollment": {
"user": {
"sourcedId": "<string>"
},
"class": {
"sourcedId": "<string>"
},
"metadata": {
"goals": {
"dailyXp": 123,
"dailyLessons": 123,
"dailyActiveMinutes": 123,
"dailyAccuracy": 123,
"dailyMasteredUnits": 123
},
"metrics": {
"totalXp": 123,
"totalLessons": 123,
"totalGrades": 123,
"courseType": "<string>",
"isSupplemental": true
}
},
"primary": "false",
"beginDate": "2024-01-01",
"endDate": "2024-01-01"
}
}
'import requests
url = "https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/enrollments/{sourcedId}"
payload = { "enrollment": {
"user": { "sourcedId": "<string>" },
"class": { "sourcedId": "<string>" },
"metadata": {
"goals": {
"dailyXp": 123,
"dailyLessons": 123,
"dailyActiveMinutes": 123,
"dailyAccuracy": 123,
"dailyMasteredUnits": 123
},
"metrics": {
"totalXp": 123,
"totalLessons": 123,
"totalGrades": 123,
"courseType": "<string>",
"isSupplemental": True
}
},
"primary": "false",
"beginDate": "2024-01-01",
"endDate": "2024-01-01"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enrollment: {
user: {sourcedId: '<string>'},
class: {sourcedId: '<string>'},
metadata: {
goals: {
dailyXp: 123,
dailyLessons: 123,
dailyActiveMinutes: 123,
dailyAccuracy: 123,
dailyMasteredUnits: 123
},
metrics: {
totalXp: 123,
totalLessons: 123,
totalGrades: 123,
courseType: '<string>',
isSupplemental: true
}
},
primary: 'false',
beginDate: '2024-01-01',
endDate: '2024-01-01'
}
})
};
fetch('https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/enrollments/{sourcedId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Enrollments Management
Update an Enrollment
To update an existing Enrollment. The sourcedId for the record to be updated is supplied by the requesting system.
PUT
/
ims
/
oneroster
/
rostering
/
v1p2
/
enrollments
/
{sourcedId}
Update an Enrollment
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier for the enrollment to update
Body
application/json
Show child attributes
Show child attributes
Response
Successfully updated
The response is of type object.
⌘I